summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLucki2019-02-04 11:35:37 +0100
committerLucki2019-02-04 11:35:37 +0100
commit4fb7b426948540b7a06c5d90d41592cf89f4d398 (patch)
treed0a0c3c66e9149cda393e3d1ab15a5c5ea432205
parent8e718d09a5a16a38647f3612a6ac6a053c4d0692 (diff)
downloadaur-4fb7b426948540b7a06c5d90d41592cf89f4d398.tar.gz
Update to v0.9.25
-rw-r--r--.CHANGELOG23
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD6
3 files changed, 28 insertions, 5 deletions
diff --git a/.CHANGELOG b/.CHANGELOG
index af15a8ee690..23746561c6f 100644
--- a/.CHANGELOG
+++ b/.CHANGELOG
@@ -1,6 +1,29 @@
Version history
===============
+0.9.25
+------
+
+2019-02-04
+
+Added 43 singleplayer levels in levels/single/misc: 17 miniatures by Simon and
+geoo, 13 levels by mobius (originally called leftovers and non-tutorials), 10
+levels by Nessy, 4 non-miniatures by Simon. These levels were released around
+2017 and 2018 on Lemmings Forums and are now part of the main download.
+
+Added 15 tutorials for basic skill usage. A new Lix installation will still
+highlight Any Way You Want as first level, not the tutorials.
+
+Eased the 2-player multiplayer map Anything Can Work: Removed buzzsaws, added
+terrain to allow a downwards route without preparatory platforming above exits.
+
+Fixed deprecations (silent conversion from size_t to int in loop indices)
+to allow a warning-free building with the current compiler DMD 2.084.
+
+Refactored code for clarity: Alcol constructors -> al_map_rgba_f, magic
+numbers in EffectManager -> enums. Split ScoreBoard into two classes and
+moved to the GUI code, to decouple from gameplay.
+
0.9.24
------
diff --git a/.SRCINFO b/.SRCINFO
index 23d181f452a..96155e15fbe 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = lix
pkgdesc = An action-puzzle game inspired by Lemmings
- pkgver = 0.9.24
+ pkgver = 0.9.25
pkgrel = 1
url = http://www.lixgame.com/
changelog = .CHANGELOG
@@ -14,7 +14,7 @@ pkgbase = lix
depends = enet
depends = hicolor-icon-theme
depends = liblphobos
- source = lix::git+https://github.com/SimonN/LixD.git#tag=v0.9.24
+ source = lix::git+https://github.com/SimonN/LixD.git#tag=v0.9.25
source = lix-music-1.zip::http://www.lixgame.com/dow/lix-music.zip
source = lix.desktop
source = allegro::git+https://github.com/SiegeLord/DAllegro5.git#tag=v4.0.4+5.2.0
diff --git a/PKGBUILD b/PKGBUILD
index 12cbc3c1fc0..6e330bb047d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
# Contributor: Carl Reinke <mindless2112 gmail com>
pkgname=lix
-pkgver=0.9.24
+pkgver=0.9.25
pkgrel=1
changelog=.CHANGELOG
source=("${pkgname}::git+https://github.com/SimonN/LixD.git#tag=v${pkgver}")
@@ -72,7 +72,7 @@ _build()
dub add-path "${srcdir}"
# ensure with --cache=local dub stays outside the users home directory
- dub $@ --cache=local || _r="$?"
+ dub $@ --cache=local --parallel || _r="$?"
# remove local dependencies from search path so dub won't find them
# later again
@@ -100,7 +100,7 @@ build()
check()
{
cd "${srcdir}/${_pkgname}" || exit
- _build test --parallel
+ _build test
}
package()